#version 450
#extension GL_ARB_shader_draw_parameters : enable

layout(binding = 0) uniform UniformData {
    mat4 projection;
    mat4 view;
} u_data;

layout(location = 0) in vec3 i_pos;
layout(location = 1) in vec2 i_uv;
layout(location = 2) in vec3 i_normal;

layout(location = 0) out flat int o_id;
layout(location = 1) out vec2 o_uv;

void main()
{
    gl_Position = u_data.projection * u_data.view * vec4(i_pos, 1.0);
    o_id = gl_DrawIDARB;
    o_uv = i_uv;
}